//
//  PDFDocumentsController.h
//  PDFGarden
//
//  Created by malcom on 11/05/08.
//  Copyright 2008 SQLabs. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PDFMergerDocument.h"

@interface PDFDocumentsController : NSObject {
	NSMutableArray		*ass_listOfOpenedPDFs;
}

@property (assign) NSMutableArray		*ass_listOfOpenedPDFs;

- (id) initWithPDFsFiles:(NSArray *) _list;

- (int) totalPages;
- (int) totalDocuments;

- (PDFMergerDocument *) addPDFDocumentAtPath:(NSString *) _cPath;
- (int) addPDFDocumentsPaths:(NSArray *) _files;

- (void) removePDFDocument:(PDFMergerDocument *) _doc;
- (void) removePDFDocumentAtPath:(NSString *) _cPath;

- (PDFMergerDocument *) existPDFDocumentForPath:(NSString *) _cPath;
- (PDFMergerDocument *) getDocumentAtIndex:(int) _idx;
- (void) moveDocumentsAtIndexes:(NSIndexSet*) set afterDocument:(PDFMergerDocument *) doc;

- (void) resetAll;

- (void) applySortOrder:(NSSortDescriptor *) desc;

@end
