//
//  PDFRawPage.h
//  PDFGarden
//
//  Created by malcom on 11/05/08.
//  Copyright 2008 SQLabs. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

typedef enum PDFPage_Type {
	PDFPage_Type_PageContainer	= 0,
	PDFPage_Type_EmptyPage		= 1,
	PDFPage_Type_ImportedPage	= 2
} PDFPage_Type;


@interface PDFRawPage : NSObject {
	int ass_pageType;
	PDFPage *ass_page;
}

@property (assign) int			ass_pageType;
@property (assign) PDFPage		*ass_page;

- (id) initWithImageAtPath:(NSString *) _path;
- (PDFPage *) getPage;
- (PDFPage *) getPageWithFrontTitle:(NSString *) _title andSubtitle:(NSString *) _subtitle;
- (NSData *) dataRepresentation;

#pragma mark EXTRA METHODS
+ (PDFPage *) pageWithFrontTextFromPage:(PDFPage *) _origin withText:(NSString *) _txt andSubtitle:(NSString *) _sub;
+ (PDFAnnotation *) _drawCenteredText:(NSString *) _text withSize:(float) _size verticalShift:(float) _vshift page:(PDFPage*) _pg;
+ (float) _suitableFontSizeForText:(NSString *) _text forPageWidth:(float) _width desideredSize:(float) _desSize;

@end
